/************************************************************************
 *									*
 *   KEYSMAN.C	  KEYBIT Lite v.5+ status manager			*
 *   Public Domain 1996 Pino Navato					*
 *									*
 ************************************************************************/


#include <stdio.h>
#include <string.h>
#include "kl_api.h"

main(int argc, char *argv[])
{
   unsigned char far *status;

   if (argc == 1)
      {
      puts("\nKEYSMAN v.1  -  KEYBIT Lite v.5+ status manager\n");
      puts("Sintassi:  KEYSMAN <comando>\n");
      puts("Comandi disponibili:");
      puts("k+  attiva KEYBIT Lite\t\t\te+  attiva supporto e-mail");
      puts("k-  disattiva KEYBIT Lite\t\te-  disattiva supporto e-mail");
      puts("k*  inverte lo stato di KEYBIT Lite\te*  inverte lo stato del supporto e-mail");
      return 0;
      }

   if ((status = get_sb_ptr()) == NULL)
      {
      fputs("\nKEYSMAN: KEYBIT Lite v.5+ non installato\n", stderr);
      return 1;
      }

   if (strlen(argv[1]) != 2)
      {
      fputs("\nKEYSMAN: parametro sconosciuto\n", stderr);
      return 2;
      }

   switch (argv[1][0] & 0xDF)
      {
      case 'K': switch (argv[1][1])
		   {
		   case '+': *status |= KLACTIVE_FLAG; break;
		   case '-': *status &= ~KLACTIVE_FLAG; break;
		   case '*': *status ^= KLACTIVE_FLAG; break;
		   default:  fputs("\nKEYSMAN: parametro sconosciuto\n", stderr);
			     return 2;
		   }
		if ((*status & KLACTIVE_FLAG) == KLACTIVE_FLAG)
		   puts("\nKEYSMAN: KEYBIT Lite attivato");
		else
		   puts("\nKEYSMAN: KEYBIT Lite disattivato");
		break;

      case 'E': switch (argv[1][1])
		   {
		   case '+': *status |= EMAILSUPPORT_FLAG; break;
		   case '-': *status &= ~EMAILSUPPORT_FLAG; break;
		   case '*': *status ^= EMAILSUPPORT_FLAG; break;
		   default:  fputs("\nKEYSMAN: parametro sconosciuto\n", stderr);
			     return 2;
		   }
		if ((*status & EMAILSUPPORT_FLAG) == EMAILSUPPORT_FLAG)
		   puts("\nKEYSMAN: supporto e-mail attivato");
		else
		   puts("\nKEYSMAN: supporto e-mail disattivato");
		break;

     default:  fputs("\nKEYSMAN: parametro sconosciuto\n", stderr);
	       return 2;
     }

   return 0;
}
